Subject: Re: linux-next: removal of the cisco tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 30 Apr 2021 17:47:33 +1000

Hi Daniel,

On Thu, 29 Apr 2021 21:49:31 -0700 Daniel Walker <[email-masked]> wrote:
>
> Can you re-instate this tree ? I had planned to start using again, at least for
> a little while.
> 
> 
> On Tue, Jun 16, 2020 at 03:00:09PM +1000, Stephen Rothwell wrote:
> > Hi,
> > 
> > I have removed the cisco tree
> > (https://github.com/daniel-walker/cisco-linux.git#for-next)
> > from linux-next because it has not been updated in more than a year.
> > If you would like it reinstated, please just reply and let me know.

I have reinstated it from tomorrow.  Please do not add any v5.14
related material to this branch until after v5.13-rc1 has been released.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]